Main Page | Namespace List | Class Hierarchy | Class List | File List | Namespace Members | Class Members | File Members

# qparms.h File Reference

Declares the template query parameter-related stuff. More...

`#include "sql_string.h"`
`#include <vector>`

Include dependency graph for qparms.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | mysqlpp

## Detailed Description

Declares the template query parameter-related stuff.

The classes defined in this file are used by class Query when it parses a template query: they hold information that it finds in the template, so it can assemble a SQL statement later on demand.